DotNetNuke 4.0 - HTML Injection

EDB-ID:

28615


Platform:

ASP

Published:

2006-09-17

source: https://www.securityfocus.com/bid/20117/info

DotNetNuke is prone to an HTML-injection vulnerability because the application fails to properly sanitize user-supplied input before using it in dynamically generated content. 

Attacker-supplied HTML and script code may execute in the context of the affected site, potentially allowing an attacker to steal cookie-based authentication credentials or to control how the site is rendered to users; other attacks are also possible.

All versions of the application are vulnerable to this issue.

http://www.example.com/Default.aspx?tabid=510&error="<script></script>/><iframe<script></script>src=http://www.example.com>